Package org.bedework.synch.wsmessages

# Class SynchConnectorInfoType

java.lang.Object
org.bedework.synch.wsmessages.SynchConnectorInfoType

public class SynchConnectorInfoType extends Object
Used to provide information about a connector to systems. None of this is intended to be displayable. name: should be unique and can be used to key into localizable information. manager: this is the special manager connector. readOnly: cannot update this end properties: those we need to present to the user

Java class for SynchConnectorInfoType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SynchConnectorInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="manager" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="readOnly" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="properties" type="{http://www.bedework.org/synch/wsmessages}ArrayOfSynchPropertyInfo"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `manager`
  `protected String`
  `name`
  `protected ArrayOfSynchPropertyInfo`
  `properties`
  `protected boolean`
  `readOnly`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynchConnectorInfoType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the value of the name property.
  `ArrayOfSynchPropertyInfo`
  `getProperties()`
  Gets the value of the properties property.
  `boolean`
  `isManager()`
  Gets the value of the manager property.
  `boolean`
  `isReadOnly()`
  Gets the value of the readOnly property.
  `void`
  `setManager(boolean value)`
  Sets the value of the manager property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setProperties(ArrayOfSynchPropertyInfo value)`
  Sets the value of the properties property.
  `void`
  `setReadOnly(boolean value)`
  Sets the value of the readOnly property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### manager

    protected boolean manager

  - ### readOnly

    protected boolean readOnly

  - ### properties

    protected ArrayOfSynchPropertyInfo properties

- ## Constructor Details

  - ### SynchConnectorInfoType

    public SynchConnectorInfoType()

- ## Method Details

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### isManager

    public boolean isManager()
    Gets the value of the manager property.

  - ### setManager

    public void setManager(boolean value)
    Sets the value of the manager property.

  - ### isReadOnly

    public boolean isReadOnly()
    Gets the value of the readOnly property.

  - ### setReadOnly

    public void setReadOnly(boolean value)
    Sets the value of the readOnly property.

  - ### getProperties

    public ArrayOfSynchPropertyInfo getProperties()
    Gets the value of the properties property.
    Returns:
      possible object is `ArrayOfSynchPropertyInfo`

  - ### setProperties

    public void setProperties(ArrayOfSynchPropertyInfo value)
    Sets the value of the properties property.
    Parameters:
      `value` - allowed object is `ArrayOfSynchPropertyInfo`